View Full Version : 2012 Mleader but no dialog box for text
chevrierjs
2012-03-09, 05:44 PM
Good day to all,
I've just recently run into an issue using mleader.
I pick my points to draw the arrow, then when comes time to enter the text, I only get the command line prompt and no mtext dialog box..
It is very similar to using a quick leader when CMDDIA=0, for those who want a good example.
Anyone know how to fix this for mleader?
Thanks in advance!
ccowgill
2012-03-09, 07:27 PM
you dont have some sort of custom routine running when you start the command to create the multileader, do you?
jaberwok
2012-03-09, 08:10 PM
Or, maybe, the box is opening off-screen. See this thread (http://forums.augi.com/showthread.php?t=129423) amongst others.
rkmcswain
2012-03-09, 08:47 PM
Or, maybe, the box is opening off-screen.
If it is accepting input at the command line, then this can't be the issue.
rkmcswain
2012-03-09, 08:52 PM
I've just recently run into an issue using mleader.
I pick my points to draw the arrow, then when comes time to enter the text, I only get the command line prompt and no mtext dialog box..
Just for grins....what are MTEXTFIXED and MTEXTED set to?
Did this behavior just start?
chevrierjs
2012-03-09, 10:21 PM
I just figured out where the problem is originating from, I just dont know why..
Ccowgill's question prompted me to check my Lisps.
I did create a very simple one to install my own command shortcuts on the go.
I usually edited the pgp file, but on another workstation where 2011 is installed, the .pgp just didn't work (Don't ask me how, I fiddled with it for hours) so my solution was to load them using an AutoLISP, as they get recognized before the .pgp commands.
Now I decided to continue using that file instead of the pgp, from my usual workstation.
And I just now realize this is causing the issue described in my first post.
When I type "mleader" it works! Just like it used to..
When I use my "AAR" shortcut I get the issue.
Here is the LISP's content:
;Commands Override
(defun c:D ()
(command "dimlinear")
(princ))
(defun c:QW ()
(command "model")
(princ))
(defun c:DA ()
(command "dimaligned")
(princ))
(defun c:ARR ()
(command "qleader")
(princ))
(defun c:AAR ()
(command "mleader")
(princ))
(defun c:CX ()
(command "xline")
(princ))
(defun c:LL ()
(command "lengthen")
(princ))
(defun c:P ()
(command "PEDIT" "M")
(princ))
(defun c:ZZ ()
(command "ZOOM" "E")
(princ))
;SELECTING ALL OBJECTS ON LAYER
(defun c:QS ()
(sssetfirst nil (ssget "X" (list (cons 8 (getvar "clayer")))))
(princ)) ;_ end defun
Maybe I am missing something and this needs to be improved?
Thanks again.
rkmcswain
2012-03-09, 10:44 PM
I just figured out where the problem is originating from, I just dont know why..
Ccowgill's question prompted me to check my Lisps.......
........Maybe I am missing something and this needs to be improved?
Thanks again.
Try this:
(defun c:AAR ()
(initcommandversion)
(command "mleader")
(princ)
)
chevrierjs
2012-03-09, 11:43 PM
Try this:
(defun c:AAR ()
(initcommandversion)
(command "mleader")
(princ)
)
Yes, that does it.
Would you advise inserting that line for all commands?
ccowgill
2012-03-12, 11:52 AM
Yes, that does it.
Would you advise inserting that line for all commands?
That line really only affects newer commands, I'm not entirely sure which ones. I would say, if you have commands that are customized that dont appear to be functioning properly you can try adding that line.
ccowgill
2012-03-12, 11:53 AM
Try this:
(defun c:AAR ()
(initcommandversion)
(command "mleader")
(princ)
)
And thats exactly where I was heading with my question.
Coloradomrg
2012-03-12, 02:13 PM
(defun c:ARR ()
(command "qleader")
(princ))
(defun c:AAR ()
(command "mleader")
(princ))
Is it possible this is/was part of the problem?
ccowgill
2012-03-12, 03:30 PM
Is it possible this is/was part of the problem?
no, anytime Multileader is called from LISP, you have to use initcommandversion to get it to function properly.
Powered by vBulletin® Version 4.2.5 Copyright © 2025 vBulletin Solutions Inc. All rights reserved.